> For the complete documentation index, see [llms.txt](https://docs.apollopayment.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apollopayment.io/api-reference/03addresses/post_find-by-address.md).

# Поиск по адресу

Метод позволяет найти адреса принадлежащие организации по адресу в блокчейне, вне зависимости от типа и сети. Возвращает найденных массив адресов

## Описание полей

| Поле         | Тип                                                    | Описание                                                                  |
| ------------ | ------------------------------------------------------ | ------------------------------------------------------------------------- |
| `id`         | `string`                                               | Идентификатор адреса в системе                                            |
| `type`       | `enum(PAY_IN, BUSINESS, PAY_OUT, PERSONAL, RECURRENT)` | Тип адреса                                                                |
| `alias`      | `string or null`                                       | Имя адреса. Устанавливается мерчантов                                     |
| `comment`    | `string or null`                                       | Комментарий адреса. Устанавливается мерчантом                             |
| `currency`   | `string`                                               | Монета адреса                                                             |
| `network`    | `string`                                               | Сеть адреса                                                               |
| `balance`    | `string`                                               | Баланс адреса                                                             |
| `address`    | `string`                                               | Адрес в блокчейне                                                         |
| `tag`        | `string or null`                                       | Тег (MEMO) адреса. Доступно для сетей поддерживающих тег, например Ripple |
| `meta`       | `any`                                                  | Мета данные. Свободное поле, устанавливается мерчантом                    |
| `isArchived` | `boolean`                                              | Адрес находится в архиве                                                  |

{% openapi src="/files/X1afO3tUwak9QdphOSjI" path="/api-gateway/addresses/find-by-address" method="post" %}
[openapi.json](https://2137468372-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FyOhoj9DD5mXL8tljp4Kp%2Fuploads%2Fgit-blob-c7502c7186093d67358d3eddf6a9a3abb7fd07f9%2Fopenapi.json?alt=media)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apollopayment.io/api-reference/03addresses/post_find-by-address.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
